<span class="profile-photo"
    ng-style="$ctrl.mainStyles">
    <img alt="avatar"
        ng-src="{{ $ctrl.formattedNgModel }}"
        ng-class="{ imageRotateHorizontal : $ctrl.rotateHorizontal }"
        class="profile-hovered"
        ng-if="$ctrl.ngModel"
        ng-style="$ctrl.imageStyles">
    <i class="material-icons profile-hovered"
        ng-style="$ctrl.chipIconStyles"
        ng-if="$ctrl.chip && $ctrl.formattedIcon && $ctrl.iconVisible && !$ctrl.ngModel">
        {{ $ctrl.formattedIcon }}
    </i>
    <i class="material-icons profile-hovered"
        ng-style="$ctrl.iconStyles"
        ng-if="!$ctrl.chip && $ctrl.formattedIcon && $ctrl.iconVisible && !$ctrl.ngModel">
        {{ $ctrl.formattedIcon }}
    </i>
    <md-icon class="profile-hovered profile-hovered-full"
        ng-if="$ctrl.src && !$ctrl.formattedIcon && $ctrl.iconVisible && !$ctrl.ngModel"
        md-svg-src="{{ $ctrl.src }}"
        aria-label="icon"
        ng-style="$ctrl.customIconStyles"></md-icon>
    <md-tooltip ng-if="$ctrl.label"
        md-direction="right">
        {{ $ctrl.label }}
    </md-tooltip>
    <div class="profile-photo__content" ng-transclude></div>
</span>
